## NAME

r3.gwflow - Calculates numerically transient, confined groundwater flow in three dimensions.

## KEYWORDS

raster3d, voxel

## SYNOPSIS

r3.gwflow
r3.gwflow help
r3.gwflow [-ms] phead=string status=string hc_x=string hc_y=string hc_z=string [q=string] s=string [r=string] output=string [velocity=string] dt=float [maxit=integer] [error=float] [solver=name] [relax=float] [--overwrite] [--verbose] [--quiet]

### Flags:

-m
  Use 3D raster mask (if exists) with input maps
-s
  Use a sparse linear equation system, only available with iterative solvers
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

phead=string
  Input 3D raster map with initial piezometric heads in [m]
status=string
  The status for each cell, = 0 - inactive, 1 - active, 2 - dirichlet
hc_x=string
  The x-part of the hydraulic conductivity tensor in [m/s]
hc_y=string
  The y-part of the hydraulic conductivity tensor in [m/s]
hc_z=string
  The z-part of the hydraulic conductivity tensor in [m/s]
q=string
  Sources and sinks in [m^3/s]
s=string
  Specific yield in 1/m
r=string
  Recharge raster map in m^3/s
output=string
  The piezometric head result of the numerical calculation will be written to this map
velocity=string
  Calculate the groundwater distance velocity vector field
  and write the x, y, and z components to maps named name_[xyz].
  Name is basename for the new 3D raster maps.
dt=float
  The calculation time in seconds
  Default: 86400
maxit=integer
  Maximum number of iteration used to solver the linear equation system
  Default: 100000
error=float
  Error break criteria for iterative solvers (jacobi, sor, cg or bicgstab)
  Default: 0.0000000001
solver=name
  The type of solver which should solve the symmetric linear equation system
  Options: gauss,lu,cholesky,jacobi,sor,cg,bicgstab,pcg
  Default: cg
relax=float
  The relaxation parameter used by the jacobi and sor solver for speedup or stabilizing
  Default: 1

## DESCRIPTION

This numerical module calculates transient, confined groundwater flow in three dimensions based on volume maps and the current 3D region resolution. All initial- and boundary-conditions must be provided as volume maps.

The module calculates the piezometric head and optionally the groundwater velocity field. The vector components can be visualized with ParaView if they are exported with r3.out.vtk.

The groundwater flow will always be calculated transient. For steady state computation the user should set the timestep to a large number (billions of seconds) or set the specific yield raster map to zero.

## NOTES

The groundwater flow calculation is based on Darcy's law and a finite volume discretization. The groundwater flow partial differential equation is of the following form:

(dh/dt)*S = Kxx * (d^2h/dx^2) + Kyy * (d^2h/dy^2) + Kzz * (d^2h/dz^2) + q

- h -- the piezometric head im meters [m]
- dt -- the time step for transient calculation in seconds [s]
- S -- the specific yield [1/m]
- b -- the bottom surface of the aquifer meters [m]
- Kxx -- the hydraulic conductivity tensor part in x direction in meter per second [m/s]
- Kyy -- the hydraulic conductivity tensor part in y direction in meter per seconds [m/s]
- Kzz -- the hydraulic conductivity tensor part in z direction in meter per seconds [m/s]
- q - inner source in [1/s]

Two different boundary conditions are implemented, the Dirichlet and Neumann conditions. By default the calculation area is surrounded by homogeneous Neumann boundary conditions. The calculation and boundary status of single cells can be set with the status map, the following cell states are supported:

- 0 == inactive - the cell with status 0 will not be calulated, active cells will have a no flow boundary to an inactive cell
- 1 == active - this cell is used for groundwater calculation, inner sources can be defined for those cells
- 2 == Dirichlet - cells of this type will have a fixed piezometric head value which do not change over time

The groundwater flow equation can be solved with several numerical solvers. Additionally a direct Gauss solver and a LU solver are available. Those direct solvers only work with quadratic matrices, so be careful using them with large maps (maps of size 10.000 cells will need more than one Gigabyte of RAM).

## EXAMPLE

This small script creates a working groundwater flow area and data. It cannot be run in a lat/lon location.

    # set the region accordingly
    g.region res=25 res3=25 t=100 b=0 n=1000 s=0 w=0 e=1000 -p

    #now create the input raster maps for a confined aquifer
    r3.mapcalc "phead = if(row() == 1 && depth() == 4, 50, 40)"
    r3.mapcalc "status = if(row() == 1 && depth() == 4, 2, 1)"
    r3.mapcalc "well = if(row() == 20 && col() == 20 , -0.00025, 0)"
    r3.mapcalc "hydcond = 0.00025"
    r3.mapcalc "syield = 0.0001"
    r.mapcalc  "recharge = 0.0"

    r3.gwflow -s solver=cg phead=phead status=status hc_x=hydcond hc_y=hydcond  \
    hc_z=hydcond q=well s=syield r=recharge output=gwresult dt=8640000 velocity=gwresult_velocity

    # The data can be visualized with ParaView when exported with r3.out.vtk
    r3.out.vtk -p in=gwresult,status vector=gwresult_velocity_x,gwresult_velocity_y,gwresult_velocity_z out=/tmp/gwdata3d.vtk

    #now load the data into ParaView
    paraview --data=/tmp/gwdata3d.vtk

## SEE ALSO

r.gwflow, r3.out.vtk

## AUTHOR

Sören Gebbert

This work is based on the Diploma Thesis of Sören Gebbert available here at Technical University Berlin, Germany.

Last changed: $Date: 2011-09-13 22:13:36 +0200 (út, 13 IX 2011) $

Main index - raster3D index - Full index

© 2003-2014 GRASS Development Team